require(rstan)

stan_code <- "
data {
  int n;
  real y[n];
}
parameters {
  real mu;
}
model {
  y ~ normal(mu, 1);
}
"

n <- 100
y <- rnorm(n, 2.6, 2)

stan_data <- list(n=n, y=y)

fit <- stan(model_code=stan_code, iter=10000, chains=2, data=stan_data)

fit
