import pystan
import scipy.stats as stats

stan_code = """
data {
  int n;
  real y[n];
}
parameters {
  real mu;
}
model {
  y ~ normal(mu, 1);
}
"""

n = 100
y = stats.norm.rvs(2.6, 2, size=n)

mdata = dict(n=n, y=y)

sm = pystan.StanModel(model_code=stan_code)
fit = sm.sampling(iter=10000, chains=2, data=mdata)
fit
