import pystan
import scipy.stats as stats

n = 100
x1 = stats.norm.rvs(3, 2.5, size=n)
x2 = stats.uniform.rvs(-4, 5.5, size=n)
y = stats.norm.rvs(2.6 + 4.3 * x1 - 1.1 * x2, 1.4, size=n)

mdata = dict(n=n, x1=x1, x2=x2, y=y)

sm = pystan.StanModel("3_linear_regression.stan")
fit = sm.sampling(iter=10000, chains=2, data=mdata)
fit
