import pystan
import scipy.stats as stats
import numpy as np

n = 100
m = 5
x = stats.norm.rvs(3, 2.5, size=n*m).reshape((n, m))
y = stats.norm.rvs(2.6 + np.dot(x, (3.4, 5.3, 5.3, 4.1, 5.2)), 1.4, size=n)

mdata = dict(n=n, m=m, x=x, y=y)

sm = pystan.StanModel("4_linear_regression_matrix.stan")
fit = sm.sampling(iter=10000, chains=2, data=mdata)
fit
