data {
  int n;
  vector[n] x1;
  vector[n] y;
}
transformed data {
  real media_x1;
  media_x1 = mean(x1);
}
parameters {
  real beta0;
  real beta1;
  real <lower=0> sigma;
}
model {
  y ~ normal(beta0 + beta1 * x1, sigma);
  sigma ~ cauchy(0, 2.5);
}
generated quantities {
  real y_predito;
  y_predito = normal_rng(beta0 + beta1 * media_x1, sigma);
}
