require(rstan)

n <- 100
x <- rnorm(n, 2, 1.5)
inverse_logit <- function(x) { 1/(1+exp(-x)) }
y <- rbinom(n, 1, inverse_logit(1.6 + 2.1 * x))

stan_data <- list(n=n, x=x, y=y)

fit <- stan("7_logistic_regression.stan", iter=10000, chains=2, data=stan_data)

fit
