import pystan
import scipy.stats as stats
import numpy as np

n = 100
x = stats.norm.rvs(2, 1.5, size=n)
inverse_logit = lambda x: 1 / (1 + np.exp(-x))
y = stats.bernoulli.rvs(inverse_logit(1.6 + 2.1 * x), size=n)

mdata = dict(n=n, x=x, y=y)

sm = pystan.StanModel("7_logistic_regression.stan")
fit = sm.sampling(iter=10000, chains=2, data=mdata)
fit
