require(rstan)

stan_code <- "
data {
  int n;
  int y[n];
  vector[n] x;
}
parameters {
  real beta0;
  real beta1;
}
model {
  y ~ bernoulli_logit(beta0 + beta1 * x);
}
"

n <- 100
x <- rnorm(n, 2, 1.5)
logit_inversa <- function(x) { 1/(1+exp(-x)) }
y <- rbinom(n, 1, logit_inversa(1.6 + 2.1 * x))

stan_data <- list(n=n, x=x, y=y)

fit <- stan("8_improved_logistic_regression.stan", iter=10000, chains=2, data=stan_data)

fit
