require(rstan)

h <- 3
n <- 500
true_mu <- sample(rnorm(h, 0, 3), n, TRUE, c(.25, .2, .55))
y <- rnorm(n, true_mu, 1.2)

stan_data <- list(h=h, n=n, y=y)

fit <- stan("finite_mixture.stan", iter=10000, chains=2, data=stan_data)

fit

#True values for mu (compare with estimated values)
unique(true_mu)
