import pystan
import scipy.stats as stats
import numpy as np

h = 3
n = 500
true_mu = np.random.choice(stats.norm.rvs(0, 3, size=h), n, True,
                           [.25, .2, .55])
y = stats.norm.rvs(true_mu, 1.2, n)

mdata = dict(n=n, y=y, h=h)

sm = pystan.StanModel("finite_mixture.stan")
fit = sm.sampling(iter=10000, chains=2, data=mdata)
fit

#True values for mu (compare with estimated values)
np.unique(true_mu)
