import pystan
import scipy.stats as stats
import numpy as np

n = 40
#mu: mean of the negative binomial random variable
#phi: precision parameter of the negative binomial random variable
#See Stan manual doc for function neg_binomial_2
mu = 2
phi = 10
y = stats.nbinom.rvs(n=phi, p=phi/(mu+phi), size=n)

mdata = dict(n=n, y=y)

sm = pystan.StanModel("model_averaging.stan")
fit = sm.sampling(iter=10000, chains=2, data=mdata)
fit
