data {
  int n;
  int y[n];
}
parameters {
  real<lower=0> mu;
}
transformed parameters {
  vector[2] log_pesos;
  log_pesos[1] = poisson_lpmf(y | mu);
  log_pesos[2] = neg_binomial_2_lpmf(y | mu, 30);
}
model {
  target += log_sum_exp(log_pesos);
  mu ~ normal(2.1, 1);
}
generated quantities {
  int<lower=1, upper=2> H;
  vector[2] probs;
  probs = softmax(log_pesos);
  H = categorical_rng(probs);
}
