import pystan
import scipy.stats as stats
import numpy as np

n = 200
t_obs = stats.expon.rvs(0, 1/2.6, size=n)
u = 1/2
t_obs = t_obs[t_obs < u]
n_obs = len(t_obs)
n_cen = n - n_obs

mdata = dict(n_obs=n_obs, n_cen=n_cen, t_obs=t_obs, u=u)

sm = pystan.StanModel("survival_censoring.stan")
fit = sm.sampling(iter=10000, chains=2, data=mdata)
fit
