data {
  int n_obs;
  int n_cen;
  real t_obs[n_obs];
  real<lower=max(t_obs)> u;
}
parameters {
  real<lower=0> lambda;
  vector<lower=u>[n_cen] t_cen;
}
model {
  t_obs ~ exponential(lambda);
  t_cen ~ exponential(lambda);
  lambda ~ cauchy(0, 2.5);
}
