data {
  int n_obs;
  int n_cen;
  real t_obs[n_obs];
  real<lower=max(t_obs)> u;
}
parameters {
  real<lower=0> lambda;
}
model {
  t_obs ~ exponential(lambda);
  target += n_cen * exponential_lccdf(u | lambda);
  lambda ~ cauchy(0, 2.5);
}
