data {
  int n_obs;
  int n_cen;
  real t_obs[n_obs];
  real t_cen[n_cen];
}
parameters {
  real<lower=0> lambda;
}
model {
  t_obs ~ exponential(lambda);
  target += exponential_lccdf(t_cen | lambda);
  lambda ~ cauchy(0, 2.5);
}
generated quantities {
  real t_obs_new;
  t_obs_new = exponential_rng(lambda);
}
