require(rstan)

n_obs <- 200
n_cen <- 500
t <- rweibull(n_obs + n_cen, 1.4, 1/1.6)

t_obs <- t[1:n_obs]
t_cen <- t[-1:-n_obs]

#Apply censoring at random points
t_cen <- t_cen * runif(n_cen)

stan_data <- list(t_obs=t_obs, t_cen=t_cen, n_obs=n_obs, n_cen=n_cen)

fit <- stan("survival_censoring_multiple_weilbull.stan", iter=10000, chains=2, data=stan_data)

fit
