import pystan
import scipy.stats as stats
import numpy as np

n_obs = 200
n_cen = 500
t = stats.weibull_min.rvs(c=1.4, scale=1/1.6, loc=0,
                              size=n_obs + n_cen)
t_obs = t[0:n_obs]
t_cen = t[n_obs:]

#Apply censoring at random points
t_cen = t_cen * stats.uniform.rvs(size=n_cen)

mdata = dict(n_obs=n_obs, n_cen=n_cen, t_obs=t_obs, t_cen=t_cen)

sm = pystan.StanModel("survival_censoring_multiple_weilbull.stan")
fit = sm.sampling(iter=10000, chains=2, data=mdata)
fit

