data {
  int n_obs;
  int n_cen;
  real t_obs[n_obs];
  vector[n_cen] t_cen;
}
parameters {
  real<lower=0> beta;
  real<lower=0> lambda;
}
transformed parameters {
  real<lower=0> lambda_inv;
  lambda_inv = 1/lambda;
}
model {
  t_obs ~ weibull(beta, lambda_inv);
  target += weibull_lccdf(t_cen | beta, lambda_inv);
  lambda ~ cauchy(0, 2.5);
  beta ~ normal(1, 1); //somewhat centralized on exponential model
}
generated quantities {
  real theta; //mean of weilbull distribution
  real t_obs_new;
  t_obs_new = weibull_rng(beta, lambda_inv);
  theta = lambda_inv * tgamma(1 + 1/beta);
}
