require(rstan)

n_obs <- 200
n_cen <- 50
x <- rnorm(n_obs+n_cen)
y <- rexp(n_obs+n_cen, 1 / exp(0.4 - 1.4*x))

x_obs <- x[1:n_obs]
t_obs <- y[1:n_obs]
x_cen <- x[-1:-n_obs]
t_cen <- y[-1:-n_obs]

#Apply censoring at random points
t_cen <- t_cen * runif(n_cen)

stan_data <- list(t_obs=t_obs, t_cen=t_cen, n_obs=n_obs, n_cen=n_cen,x_obs=x_obs, x_cen=x_cen)

fit <- stan("survival_censoring_regression.stan", iter=10000, chains=2, data=stan_data)

fit
