import pystan
import scipy.stats as stats
import numpy as np

n_obs = 200
n_cen = 50
x = stats.norm.rvs(size=n_obs + n_cen)
y = stats.expon.rvs(0, np.exp(0.4 - 1.4*x), size=n_obs + n_cen)

x_obs = x[0:n_obs]
t_obs = y[0:n_obs]
x_cen = x[n_obs:]
t_cen = y[n_obs:]

#Apply censoring at random points
t_cen = t_cen * stats.uniform.rvs(size=n_cen)

mdata = dict(n_obs=n_obs, n_cen=n_cen, t_obs=t_obs, t_cen=t_cen,
             x_obs=x_obs, x_cen=x_cen)

sm = pystan.StanModel("survival_censoring_regression.stan")
fit = sm.sampling(iter=10000, chains=2, data=mdata)
fit

