data {
  int n_obs;
  int n_cen;
  real t_obs[n_obs];
  real x_obs[n_obs];
  real t_cen[n_cen];
  real x_cen[n_cen];
}
parameters {
  real beta0;
  real beta1;
}
transformed parameters {
  real lambda_obs[n_obs];
  real lambda_cen[n_cen];
  for (i in 1:n_obs)
    lambda_obs[i] = 1 / exp(beta0 + beta1 * x_obs[i]);
  for (i in 1:n_cen)
    lambda_cen[i] = 1 / exp(beta0 + beta1 * x_cen[i]);
}
model {
  t_obs ~ exponential(lambda_obs);
  target += exponential_lccdf(t_cen | lambda_cen);
}
