import pystan
import scipy.stats as stats
import numpy as np

n = 400
t_obs = stats.expon.rvs(0, 1/2.6, size=n)
U = 1/2.6 + .2
L = 1/2.6 - .2
t_obs = t_obs[np.logical_and(t_obs > L, t_obs < U)]
n_obs = len(t_obs)

mdata = dict(n_obs=n_obs, t_obs=t_obs)

sm = pystan.StanModel("survival_truncation.stan")
fit = sm.sampling(iter=10000, chains=2, data=mdata)
fit

