data {
  int n_obs;
  real t_obs[n_obs];
}
transformed data {
  real min_t_obs;
  real max_t_obs;
  min_t_obs = min(t_obs);
  max_t_obs = max(t_obs);
}
parameters {
  real<lower=0> lambda;
  real<upper=min_t_obs> L;
  real<lower=max_t_obs> U;
}
model {
  for (i in 1:n_obs)
    t_obs[i] ~ exponential(lambda) T[L, U];
  L ~ normal(1/lambda - .3, 1);
  U ~ normal(1/lambda + .3, 1);
  lambda ~ cauchy(0, 2.5);
}
