import pystan
import scipy.stats as stats
import numpy as np
import rpy2.robjects as ro

t_ = 100
ro.reval("""t_ <- 100
            y <- as.vector(arima.sim(list(order = c(1, 0, 1),
                           ar = 0.7, ma=.4), n = t_))""")
y = np.array(ro.r['y'])

mdata = dict(t_=t_, y=y)

sm = pystan.StanModel("time_series_arma.stan")
fit = sm.sampling(iter=10000, chains=2, data=mdata)
fit
