data {
  int<lower=1> t_;
  real y[t_];
}
parameters {
  real c;
  real<lower = -1, upper = 1> phi;
  real<lower = -1, upper = 1> theta;
  real<lower=0> sigma;
}
model {
  vector[t_] mu;
  real err;
  mu[1] = c + phi * c;

  err = y[1] - mu[1];
  for (t in 2:t_) {
    mu[t] = c + phi * y[t-1] + theta * err;
    err = y[t] - mu[t];
  }

  c ~ normal(0, 10);
  phi ~ normal(0, 2);
  theta ~ normal(0, 2);
  sigma ~ cauchy(0, 5);
  y ~ normal(mu, sigma);
}
