data {
  int<lower=0> t_;
  real y[t_];
}
parameters {
  real mu;
  real<lower=0> sigma_t_eq_1;
  real<lower=0> garch_const;
  real<lower=0> arch0;
  real<lower=0> garch0;
}
model {
  real error2[t_];
  real sigma[t_];
  real sigma2[t_];

  sigma[1] = sigma_t_eq_1;
  sigma2[1] = pow(sigma_t_eq_1, 2);
  error2[1] = pow(y[1] - mu, 2);

  for (t in 2:t_) {
    error2[t] = pow(y[t] - mu, 2);
    sigma2[t] = garch_const + garch0 * sigma2[t-1] + arch0 * error2[t-1];
    sigma[t] = sqrt(sigma2[t]);
  }

  y ~ normal(mu, sigma);
  sigma_t_eq_1 ~ cauchy(0, 2.5);
}
